### Method

# Vte Terminal set_geometry_hints_for_window

deprecated: 0.52

#### Declaration [src]

    void
    vte_terminal_set_geometry_hints_for_window (
      VteTerminal* terminal,
      GtkWindow* window
    )

#### Description [src]

Sets `terminal` as `window`‘s geometry widget. See `gtk_window_set_geometry_hints()` for more information.

`terminal` must be realized (see gtk_widget_get_realized()).

Deprecated since: 0.52

Please do not use it in newly written code.

#### Parameters

`window`

  Type: `GtkWindow`

  A `GtkWindow`.

  The data is owned by the caller of the method.